## The Exponential Distribution

## Usage

    dexp(x, rate = 1)
    pexp(q, rate = 1)
    qexp(p, rate = 1)
    rexp(n, rate = 1)

## Arguments

`x q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`rate` | vector of rates.

## Value

These functions provide information about the exponential distribution with rate `rate` (i.e., mean `1/rate`). `dexp` gives the density, `pexp` gives the distribution function, `qexp` gives the quantile function and `rexp` generates random deviates.

If `rate` is not specified, it assumes the default value of `1`.

The exponential distribution with rate &lambda has density

f(x) = lambda e^(- lambda x)

for x >= 0.

## See Also

`exp` for the exponential function, `dgamma` for the gamma distribution and `dweibull` for the Weibull distribution, both of which generalize the exponential.

## Examples

    dexp(1) - exp(-1) #-> 0
    r <- rexp(100)
    all(abs(1 - dexp(1, r) / (r*exp(-r))) < 1e-14)

[Package Contents]